Debian Bug report logs - #450913
bash completion script breaks normal file completion

version graph

Package: python-django; Maintainer for python-django is Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>; Source for python-django is src:python-django.

Reported by: Soeren Sonnenburg <bugreports@nn7.de>

Date: Mon, 12 Nov 2007 06:51:01 UTC

Severity: important

Tags: patch

Found in versions python-django/0.96+svn6020-1, python-django/0.97~svn7047-2

Fixed in versions python-django/0.96.1-3, python-django/0.97~svn7189-1

Done: Brett Parker <iDunno@sommitrealweird.co.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Brett Parker <iDunno@sommitrealweird.co.uk>:
Bug#450913; Package python-django. Full text and rfc822 format available.

Acknowledgement sent to Soeren Sonnenburg <bugreports@nn7.de>:
New Bug report received and forwarded. Copy sent to Brett Parker <iDunno@sommitrealweird.co.uk>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Soeren Sonnenburg <bugreports@nn7.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: bash completion script breaks normal file completion
Date: Mon, 12 Nov 2007 07:47:37 +0100
Package: python-django
Version: 0.96+svn6020-1
Severity: normal

consider there is a package foo.py in the current directory, then

$ python -i fo<tab>

will fail like:

$ python -i fobasename: invalid option -- i
Try `basename --help' for more information.
basename: invalid option -- i
Try `basename --help' for more information.
basename: invalid option -- i
Try `basename --help' for more information.


which can be isolated to be caused by django_bash_completion 
(removing it makes the problem go away)

-- System Information:
Debian Release: lenny/sid
  APT prefers stable
  APT policy: (700, 'stable'), (650, 'testing'), (600, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-rc2-sonne (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages python-django depends on:
ii  python                        2.4.4-6    An interactive high-level object-o
ii  python-support                0.7.5      automated rebuilding support for p

Versions of packages python-django recommends:
ii  python-pysqlite2              2.3.5-1    python interface to SQLite 3

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Brett Parker <iDunno@sommitrealweird.co.uk>:
Bug#450913; Package python-django. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Brett Parker <iDunno@sommitrealweird.co.uk>. Full text and rfc822 format available.

Message #10 received at 450913@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Soeren Sonnenburg <bugreports@nn7.de>, 450913@bugs.debian.org
Subject: Re: Bug#450913: bash completion script breaks normal file completion
Date: Mon, 12 Nov 2007 08:35:29 +0100
On Mon, 12 Nov 2007, Soeren Sonnenburg wrote:
> Package: python-django
> Version: 0.96+svn6020-1
> Severity: normal
> 
> consider there is a package foo.py in the current directory, then
> 
> $ python -i fo<tab>
> 
> will fail like:
> 
> $ python -i fobasename: invalid option -- i
> Try `basename --help' for more information.

The fix is obvious. Replace in the django completion file all occurences
of "basename something" by "basename -- something".

Cheers,
-- 
Raphaël Hertzog

Premier livre français sur Debian GNU/Linux :
http://www.ouaza.com/livre/admin-debian/




Information forwarded to debian-bugs-dist@lists.debian.org, Brett Parker <iDunno@sommitrealweird.co.uk>:
Bug#450913; Package python-django. Full text and rfc822 format available.

Acknowledgement sent to Soeren Sonnenburg <bugreports@nn7.de>:
Extra info received and forwarded to list. Copy sent to Brett Parker <iDunno@sommitrealweird.co.uk>. Full text and rfc822 format available.

Message #15 received at 450913@bugs.debian.org (full text, mbox):

From: Soeren Sonnenburg <bugreports@nn7.de>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 450913@bugs.debian.org, control <control@bugs.debian.org>
Subject: Re: Bug#450913: bash completion script breaks normal file completion
Date: Thu, 21 Feb 2008 17:20:20 +0000
[Message part 1 (text/plain, inline)]
severity 450913 important
tag 450913 + patch
found 450913 0.97~svn7047-2
thanks

On Mon, 2007-11-12 at 08:35 +0100, Raphael Hertzog wrote:
> On Mon, 12 Nov 2007, Soeren Sonnenburg wrote:
> > Package: python-django
> > Version: 0.96+svn6020-1
> > Severity: normal
> > 
> > consider there is a package foo.py in the current directory, then
> > 
> > $ python -i fo<tab>
> > 
> > will fail like:
> > 
> > $ python -i fobasename: invalid option -- i
> > Try `basename --help' for more information.
> 
> The fix is obvious. Replace in the django completion file all occurences
> of "basename something" by "basename -- something".

Any news on this? The bug is still in 0.97~svn7047-2.

I attaching your proposed fix - which works nicely for me...

Best,
Soeren
[completion_fix.diff (text/x-patch, attachment)]

Severity set to `important' from `normal' Request was from Soeren Sonnenburg <bugreports@nn7.de> to control@bugs.debian.org. (Thu, 21 Feb 2008 18:09:12 GMT) Full text and rfc822 format available.

Tags added: patch Request was from Soeren Sonnenburg <bugreports@nn7.de> to control@bugs.debian.org. (Thu, 21 Feb 2008 18:09:13 GMT) Full text and rfc822 format available.

Bug marked as found in version 0.97~svn7047-2. Request was from Soeren Sonnenburg <bugreports@nn7.de> to control@bugs.debian.org. (Thu, 21 Feb 2008 18:09:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Brett Parker <iDunno@sommitrealweird.co.uk>:
Bug#450913; Package python-django. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Brett Parker <iDunno@sommitrealweird.co.uk>. Full text and rfc822 format available.

Message #26 received at 450913@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Soeren Sonnenburg <bugreports@nn7.de>
Cc: 450913@bugs.debian.org
Subject: Re: Bug#450913: bash completion script breaks normal file completion
Date: Mon, 25 Feb 2008 12:16:13 +0100
On Thu, 21 Feb 2008, Soeren Sonnenburg wrote:
> > The fix is obvious. Replace in the django completion file all occurences
> > of "basename something" by "basename -- something".
> 
> Any news on this? The bug is still in 0.97~svn7047-2.
> 
> I attaching your proposed fix - which works nicely for me...

Brett? Can you forward it upstream and prepare an upload?

Cheers,
-- 
Raphaël Hertzog

Le best-seller français mis à jour pour Debian Etch :
http://www.ouaza.com/livre/admin-debian/




Information forwarded to debian-bugs-dist@lists.debian.org, Brett Parker <iDunno@sommitrealweird.co.uk>:
Bug#450913; Package python-django. Full text and rfc822 format available.

Acknowledgement sent to James Bennett <james@b-list.org>:
Extra info received and forwarded to list. Copy sent to Brett Parker <iDunno@sommitrealweird.co.uk>. Full text and rfc822 format available.

Message #31 received at 450913@bugs.debian.org (full text, mbox):

From: James Bennett <james@b-list.org>
To: 450913@bugs.debian.org
Subject: Re: Bug#450913: bash completion script breaks normal file completion
Date: Mon, 25 Feb 2008 05:49:14 -0600
On Feb 25, 2008, at 5:16 AM, Raphael Hertzog wrote:
> Brett? Can you forward it upstream and prepare an upload?

Soeren beat me to it; it's been opened with Django as ticket 6661[1]  
and I've tested the patch and flagged it for a Django committer to  
check in.


[1] http://code.djangoproject.com/ticket/6661


--
James Bennett
james@b-list.org







Information forwarded to debian-bugs-dist@lists.debian.org, Brett Parker <iDunno@sommitrealweird.co.uk>:
Bug#450913; Package python-django. Full text and rfc822 format available.

Acknowledgement sent to James Bennett <james@b-list.org>:
Extra info received and forwarded to list. Copy sent to Brett Parker <iDunno@sommitrealweird.co.uk>. Full text and rfc822 format available.

Message #36 received at 450913@bugs.debian.org (full text, mbox):

From: James Bennett <james@b-list.org>
To: 450913@bugs.debian.org
Subject: Re: Bug#450913: bash completion script breaks normal file completion
Date: Mon, 25 Feb 2008 13:42:38 -0600
This has been fixed upstream in Django trunk, as changeset 7156[1].


[1] http://code.djangoproject.com/changeset/7156


-- 
James Bennett
james@b-list.org




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#450913; Package python-django. Full text and rfc822 format available.

Acknowledgement sent to Brett Parker <iDunno@sommitrealweird.co.uk>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #41 received at 450913@bugs.debian.org (full text, mbox):

From: Brett Parker <iDunno@sommitrealweird.co.uk>
To: James Bennett <james@b-list.org>, 450913@bugs.debian.org
Subject: Re: Bug#450913: bash completion script breaks normal file completion
Date: Tue, 26 Feb 2008 19:48:41 +0000
On 25 Feb 13:42, James Bennett wrote:
> This has been fixed upstream in Django trunk, as changeset 7156[1].
> 
> 
> [1] http://code.djangoproject.com/changeset/7156

Because we've already got a different patch to the bash completion (for
the rename) this is going to take a bit more work! I'll prepare a new
patch and should be able to get it in to both the trunk code (for
experimental) and the 0.96 code sometime tomorrow.

Thanks,
-- 
Brett Parker




Reply sent to Brett Parker <iDunno@sommitrealweird.co.uk>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Soeren Sonnenburg <bugreports@nn7.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #46 received at 450913-close@bugs.debian.org (full text, mbox):

From: Brett Parker <iDunno@sommitrealweird.co.uk>
To: 450913-close@bugs.debian.org
Subject: Bug#450913: fixed in python-django 0.96.1-3
Date: Sun, 02 Mar 2008 10:47:03 +0000
Source: python-django
Source-Version: 0.96.1-3

We believe that the bug you reported is fixed in the latest version of
python-django, which is due to be installed in the Debian FTP archive:

python-django_0.96.1-3.diff.gz
  to pool/main/p/python-django/python-django_0.96.1-3.diff.gz
python-django_0.96.1-3.dsc
  to pool/main/p/python-django/python-django_0.96.1-3.dsc
python-django_0.96.1-3_all.deb
  to pool/main/p/python-django/python-django_0.96.1-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 450913@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Brett Parker <iDunno@sommitrealweird.co.uk> (supplier of updated python-django package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 01 Mar 2008 18:40:52 +0000
Source: python-django
Binary: python-django
Architecture: source all
Version: 0.96.1-3
Distribution: unstable
Urgency: low
Maintainer: Brett Parker <iDunno@sommitrealweird.co.uk>
Changed-By: Brett Parker <iDunno@sommitrealweird.co.uk>
Description: 
 python-django - A high-level Python Web framework
Closes: 450913
Changes: 
 python-django (0.96.1-3) unstable; urgency=low
 .
   * Fix for bash completion (Upstream bug 6661)
     Closes: #450913
Files: 
 f9782e1c9c345950c1564d91ad2280bc 1457 python optional python-django_0.96.1-3.dsc
 dbc74dd2bf7093031016b0f4e2dd7813 7234 python optional python-django_0.96.1-3.diff.gz
 2f2560c41dca6568bbcabd10145bec9b 1700686 python optional python-django_0.96.1-3_all.deb
Checksums-Sha1: 
 91770f32516fd50570fd86c018eeda8d432ae24a 1185 python-django_0.96.1-3.dsc
 4927312d149c7be0ad94663192d416e1b5311c3b 7234 python-django_0.96.1-3.diff.gz
 fb0f263c1820b0c4dedae1560b41f8cadb109e24 1700686 python-django_0.96.1-3_all.deb
Checksums-Sha256: 
 9be5c5b7d79b606b3ea761a108a2cbaabd8f50ff731e92f1be44b955a1a96acb 1185 python-django_0.96.1-3.dsc
 d2653ab52567436d0ee0d3c59410aa7e60b5fdf92ad05c6e1c58bc820e1bda31 7234 python-django_0.96.1-3.diff.gz
 a3314c71d5eb45f3bae4d65c0aa92e8bd1b64c08d6942181e2707adba426883e 1700686 python-django_0.96.1-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Signed by Raphael Hertzog

iD8DBQFHyoJ7vPbGD26BadIRAhm/AJ9bm0SDqg0aKASsaLpHdlvgZgrx7wCfc47C
s3w5zYNm4Suzf1/e+N3sUDs=
=BJGT
-----END PGP SIGNATURE-----





Reply sent to Brett Parker <iDunno@sommitrealweird.co.uk>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Soeren Sonnenburg <bugreports@nn7.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #51 received at 450913-close@bugs.debian.org (full text, mbox):

From: Brett Parker <iDunno@sommitrealweird.co.uk>
To: 450913-close@bugs.debian.org
Subject: Bug#450913: fixed in python-django 0.97~svn7189-1
Date: Sun, 02 Mar 2008 14:32:16 +0000
Source: python-django
Source-Version: 0.97~svn7189-1

We believe that the bug you reported is fixed in the latest version of
python-django, which is due to be installed in the Debian FTP archive:

python-django_0.97~svn7189-1.diff.gz
  to pool/main/p/python-django/python-django_0.97~svn7189-1.diff.gz
python-django_0.97~svn7189-1.dsc
  to pool/main/p/python-django/python-django_0.97~svn7189-1.dsc
python-django_0.97~svn7189-1_all.deb
  to pool/main/p/python-django/python-django_0.97~svn7189-1_all.deb
python-django_0.97~svn7189.orig.tar.gz
  to pool/main/p/python-django/python-django_0.97~svn7189.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 450913@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Brett Parker <iDunno@sommitrealweird.co.uk> (supplier of updated python-django package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 02 Mar 2008 12:59:03 +0000
Source: python-django
Binary: python-django
Architecture: source all
Version: 0.97~svn7189-1
Distribution: experimental
Urgency: low
Maintainer: Brett Parker <iDunno@sommitrealweird.co.uk>
Changed-By: Brett Parker <iDunno@sommitrealweird.co.uk>
Description: 
 python-django - A high-level Python Web framework
Closes: 450913
Changes: 
 python-django (0.97~svn7189-1) experimental; urgency=low
 .
   * New upstream snapshot including bash completion fix
     Closes: #450913
Files: 
 4b10b0843de2a2ce3fec139c4efdc05a 1539 python optional python-django_0.97~svn7189-1.dsc
 23452ec09f804f4bcecc9b729899d168 2671099 python optional python-django_0.97~svn7189.orig.tar.gz
 325f1a3024f5ed23210053d903f7b34a 7985 python optional python-django_0.97~svn7189-1.diff.gz
 b98179d13033df5c452ffabbec33adbc 2552746 python optional python-django_0.97~svn7189-1_all.deb
Checksums-Sha1: 
 7d9efc927544d4594561a006578cdd9899bc23ed 1267 python-django_0.97~svn7189-1.dsc
 2e37cb0142143a4de548d340309ab04143cb1cf9 2671099 python-django_0.97~svn7189.orig.tar.gz
 6ff584dc868237c84b7df547b68b46449716b4a1 7985 python-django_0.97~svn7189-1.diff.gz
 5ce29b5eab7a5f3e0277bd7cbb4f02e68053313e 2552746 python-django_0.97~svn7189-1_all.deb
Checksums-Sha256: 
 9d1aaa320db75210beca86f34c0ffd72227930815047124ad1e3f57e1c7ddb5f 1267 python-django_0.97~svn7189-1.dsc
 53cb4fe8d145c3d160862f926924fc8d1455866f32f7923251b8e788cb3f133c 2671099 python-django_0.97~svn7189.orig.tar.gz
 ee6db5496b449e78338a3ceb3d5718f60e0b50ef1bb80ee12d53fd4de32b8842 7985 python-django_0.97~svn7189-1.diff.gz
 91dba9bb86ab467f00691c2959bc3f2aa41aebb790f8c12e075c56749103a18d 2552746 python-django_0.97~svn7189-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Signed by Raphael Hertzog

iD8DBQFHyrYuvPbGD26BadIRArybAKCQ93e/m7r9GC2ikXwmYvdlWhGSswCfYYUM
s4djBH/Kn7SPHughkxY7kqc=
=46Sv
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 31 Mar 2008 07:27:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:13:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.